<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="STOR" 
Name="STORAGE_RACK" 
Description="Стеллаж" 
PrimaryKey="StorageRackID" 
DNAttributes="{StorageRoom/Number};{Number}" 
DisplayName="Помещение №{0} Стеллаж №{1}">
  <Fields>
    <Attribute Name="StorageRackID" Type="guid" Description="Идентификатор" />
    <Attribute Name="Number" Type="int" Description="Номер" Required="1" />
    <Attribute Name="Name" Type="string" Description="Наименование" />
    <Attribute Name="Specification" Type="string" Description="Описание" CharacterMaximumLength="512" />
    <Parent Name="StorageRoom" Type="STOR.STORAGE_ROOM" Description="Помещение" Required="1" />
    <Child Name="StorageShelves" Type="STOR.STORAGE_SHELF" Description="Полка" ChildAttribute="StorageRack" />
  </Fields>
  <DbMapping>
    <Table name="T_STORAGE_RACK">
      <Map Name="StorageRackID" Column="StorageRackID" />
      <Map Name="Number" Column="Number" />
      <Map Name="Name" Column="Name" />
      <Map Name="Specification" Column="Specification" />
      <Map Name="StorageRoom" Column="StorageRoom" />
    </Table>
  </DbMapping>
</Entity>